ROTT Time Now
ROTT is the abbreviation of Rothera Research Station Time. Time zone offset of ROTT is UTC-03. Rothera Research Station Time is 3 hours behind from the UTC universal time. ROTT current date is 5th Thursday November 2026. Current time in ROTT (ROTT).
ROTT Time
15:30:10
5 November 2026 Thursday
ROTT is the abbreviation for Rothera Research Station Time. It is the time standard valid for the Rothers Research Station located in South Antarctic circle and being a part of British territory of Antarctica. Rothera Research Station Time is 3 hours behind the UTC universal time.
What time is it in Rothera Research Station Time now? It is 15:30:10 right now.
Rothera Research Station Time Date and Time Now in Various Formats
| Date Time Format | ROTT Date Time Now |
|---|---|
| UTC | 2026-11-05T15:30:10Z |
| ISO-8601 | 2026-11-05T15:30:10+0000 |
| RFC 2822 | Thu, 05 Nov 2026 15:30:10 +0000 |
| RFC 850 | Thursday, 05-Nov-26 15:30:10 UTC |
| RFC 1036 | Thu, 05 Nov 26 15:30:10 +0000 |
| RFC 1123 | Thu, 05 Nov 2026 15:30:10 +0000 |
| RFC 822 | Thu, 05 Nov 26 15:30:10 +0000 |
| RFC 3339 | 2026-11-05T15:30:10+00:00 |
| ATOM | 2026-11-05T15:30:10+00:00 |
| COOKIE | Thursday, 05-Nov-2026 15:30:10 UTC |
| RSS | Thu, 05 Nov 2026 15:30:10 +0000 |
| W3C | 2026-11-05T15:30:10+00:00 |
| Unix Epoch | 1793892610 |
| YYYY-DD-MM HH:MM:SS | 2026-05-11 15:30:10 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-05-11 03:30:10 PM |
| DD-MM-YYYY HH:MM:SS | 05-11-2026 15:30:10 |
| MM-DD-YYYY HH:MM:SS | 11-05-2026 15:30:10 |